#pragma once
#include "Message/Core/CsdkMessageBase.h"
#include "message/model/message_model.pb.h"

namespace MessageTool
{
	TObjectPtr<UCsdkMessageBase> NewMsgObj(UObject* Outer,  const heroim::client::v3beta::dto::message::model::Message& PbMsg);
	std::string ConvertMsgTypeToString(const ECsdkMessageType MessageType );
	ECsdkMessageType ConvertStringToMsgType(const std::string& Str );
	
	FString GetContent(UCsdkMessageBase* CsdkMessage);

	
}

